<div class="content">
  <div class="input">
    <div [ngSwitch]="type">
        <app-grid-element-field
            *ngSwitchCase="'field'"
            [field]="field!"
            [disabled]="disabled"
        ></app-grid-element-field>
        <app-grid-element-image
            *ngSwitchCase="'image'"
            [disabled]="disabled"
            ></app-grid-element-image>
        <div *ngSwitchDefault>
            Не поддерживается
        </div>
    </div>
  </div>
  <div class="control">
    <button mat-icon-button *ngIf="!disabled" (click)="onDelete.emit()">
      <mat-icon>delete</mat-icon>
    </button>
  </div>
</div>


